- name: Install dependencies
  become: yes
  apt:
    state: latest
    install_recommends: false
    name:
    - pkexec
    - libopenh264-8

- name: Copy update helper
  copy:
    src: "{{ role_path }}/files/update-discord"
    dest: "{{ ansible_env.HOME }}/.local/bin/"

- name: Make update helper executable
  ansible.builtin.file:
    dest: "{{ ansible_env.HOME }}/.local/bin/update-discord"
    mode: "ug+x"

- name: Download Discord canary using helper
  ansible.builtin.command:
    cmd: "update-discord --download-only"
    chdir: "{{ ansible_env.HOME }}/.local/bin"
  register: helper_result
  failed_when: ( helper_result.rc not in [ 0, 2 ] )

- name: Install Discord canary
  become: yes
  apt:
    deb: /tmp/discord-canary.deb
    install_recommends: false
  when: helper_result.rc != 2

- name: Remove installation package
  ansible.builtin.file:
    state: absent
    path: /tmp/discord-canary.deb
  when: helper_result.rc != 2
